databases/openldap-cloak - The NetBSD Packages Collection

Hide specific attributes unless explicitely requested for OpenLDAP

This slapd overlay allows cloaking of selected attribute, for instance
large binary ones. Client will get the cloaked attribute only on explicit
request. This should save bandwidth.

Build dependencies

pkgtools/cwrappers devel/libtool-base devel/gmake

Runtime dependencies

databases/openldap-server devel/libltdl devel/libltdl

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfopenldap-cloak-2.5.7.tgz
NetBSD 8.0earmv7hfopenldap-cloak-2.4.58.tgz
NetBSD 8.0earmv7hfopenldap-cloak-2.4.59.tgz
NetBSD 8.0i386openldap-cloak-2.4.58.tgz
NetBSD 8.0i386openldap-cloak-2.4.59.tgz
NetBSD 8.0powerpcopenldap-cloak-2.4.58.tgz
NetBSD 8.0powerpcopenldap-cloak-2.4.59.tgz
NetBSD 8.0powerpcopenldap-cloak-2.4.59.tgz
NetBSD 8.0powerpcopenldap-cloak-2.5.7.tgz
NetBSD 8.0x86_64openldap-cloak-2.4.58.tgz
NetBSD 8.0x86_64openldap-cloak-2.4.59.tgz
NetBSD 9.0aarch64openldap-cloak-2.5.7.tgz
NetBSD 9.0aarch64openldap-cloak-2.4.58.tgz
NetBSD 9.0aarch64openldap-cloak-2.4.59.tgz
NetBSD 9.0alphaopenldap-cloak-2.5.7.tgz
NetBSD 9.0alphaopenldap-cloak-2.4.58.tgz
NetBSD 9.0alphaopenldap-cloak-2.4.59.tgz
NetBSD 9.0earmv6hfopenldap-cloak-2.5.7.tgz
NetBSD 9.0earmv6hfopenldap-cloak-2.4.58.tgz
NetBSD 9.0earmv6hfopenldap-cloak-2.4.59.tgz
NetBSD 9.0earmv7hfopenldap-cloak-2.5.7.tgz
NetBSD 9.0earmv7hfopenldap-cloak-2.4.58.tgz
NetBSD 9.0earmv7hfopenldap-cloak-2.4.59.tgz
NetBSD 9.0earmv7hfopenldap-cloak-2.5.7.tgz
NetBSD 9.0i386openldap-cloak-2.4.58.tgz
NetBSD 9.0i386openldap-cloak-2.4.59.tgz
NetBSD 9.0mips64ebopenldap-cloak-2.4.59.tgz
NetBSD 9.0mips64ebopenldap-cloak-2.4.53.tgz
NetBSD 9.0mips64ebopenldap-cloak-2.4.56.tgz
NetBSD 9.0powerpcopenldap-cloak-2.4.59.tgz
NetBSD 9.0powerpcopenldap-cloak-2.4.58.tgz
NetBSD 9.0powerpcopenldap-cloak-2.4.59.tgz
NetBSD 9.0powerpcopenldap-cloak-2.5.7.tgz
NetBSD 9.0sparc64openldap-cloak-2.4.59.tgz
NetBSD 9.0sparc64openldap-cloak-2.4.58.tgz
NetBSD 9.0sparc64openldap-cloak-2.5.7.tgz
NetBSD 9.0x86_64openldap-cloak-2.4.59.tgz
NetBSD 9.0x86_64openldap-cloak-2.5.7.tgz
NetBSD 9.0x86_64openldap-cloak-2.4.58.tgz
NetBSD 9.0x86_64openldap-cloak-2.4.59.tgz
NetBSD 9.0x86_64openldap-cloak-2.5.7.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

dso
inet6
Enable support for IPv6.
sasl
Enable SASL support.
slapi
slp
Enable Service Location Protocol support.
iodbc
Enable ODBC support via iODBC.
unixodbc
Enable ODBC support via unixODBC.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.